
QGIS Application - Bug report #3606

Field calculator inserts real values to the attribute table instead of rounding them to the field 

precision.

2011-03-14 01:53 AM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13665

Description

1. Use the Field calculator to write e.g. 9/17 to an INTEGER field

 1. In the attribute table you see the real value: 0.529411764705882

 1. Press the Save button

 1. The value is updated with the proper one from layer: 1

This behaviour is confusing for many users, and also makes the table less readable before saving.

Associated revisions

Revision 9fec25bc - 2011-04-15 03:45 PM - Jürgen Fischer

fix #3606

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15706 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 98d612f2 - 2011-04-15 03:45 PM - Jürgen Fischer

fix #3606

git-svn-id: http://svn.osgeo.org/qgis/trunk@15706 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-04-15 06:23 AM - Jürgen Fischer

- Status changed from Open to In Progress

#2 - 2011-04-15 06:45 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from In Progress to Closed

fixed in commit:98d612f2 (SVN r15707).
